Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.option
Class OptionImpl

    java.lang.Object
      org.apache.torque.generator.option.OptionImpl

All Implemented Interfaces:
  Option

    public class OptionImpl

extends Object
implements Option

The default implementation of the option Interface. This class is immutable.

Constructor Summary
`OptionImpl(QualifiedName qualifiedName, Object value)` Constructs an OptionImpl from a QualifiedaName and a value.
`OptionImpl(String qualifiedName, Object value)` Constructs an OptionImpl from the String representation of a QualifiedName and a value.
`OptionImpl(String namespace, String name, Object value)` Constructs an optionImpl from a namespace, a name and a value.

Method Summary
`boolean` | `equals(Object obj)`
`QualifiedName` | `getQualifiedName()` Returns the qualified name of the option.
`Object` | `getValue()` Retursn the value of the option.
`int` | `hashCode()`
`String` | `toString()` Creates as String representation of this Object for debugging purposes.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionImpl

    public OptionImpl(String namespace,
                      String name,
                      Object value)

  Constructs an optionImpl from a namespace, a name and a value.

  Parameters:
    `namespace` - the namespace of the option, may be null.
    `name` - the name of the option, must not be empty.
    `value` - the value of the option, may be null.

### OptionImpl

    public OptionImpl(String qualifiedName,
                      Object value)

  Constructs an OptionImpl from the String representation of a QualifiedName and a value.

  Parameters:
    `qualifiedName` - The String representation of the qualified name of the option, in the form context:name or name. (in the latter case, context is null).
    `value` - the value of the option, may be null.
  Throws:
    `IllegalArgumentException` - if qualifiedName is not a legal QualifiedName.

### OptionImpl

    public OptionImpl(QualifiedName qualifiedName,
                      Object value)

  Constructs an OptionImpl from a QualifiedaName and a value.

  Parameters:
    `qualifiedName` - A qualifiedName containing the context and the name of the option.
    `value` - the value of the option, may be null.

Method Detail

### getQualifiedName

    public QualifiedName getQualifiedName()

  Returns the qualified name of the option.

  Specified by:
    `getQualifiedName` in interface `Option`
  Returns:
    the qualified name of the option, not null.

### getValue

    public Object getValue()

  Retursn the value of the option.

  Specified by:
    `getValue` in interface `Option`
  Returns:
    the value of the option, may be null.

### toString

    public String toString()

  Creates as String representation of this Object for debugging purposes.

  Overrides:
    `toString` in class `Object`
  Returns:
    A String representation, not null.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.